"Undefined is not a valid UUID" in Flow
Closed, ResolvedPublic

Description

Error of [2cda5ba5] Exception Caught: Undefined is not a valid UUID
whilst the editor was trying to save a reply to https://en.wikipedia.org/w/index.php?title=Topic:Stn15z0u230zcbve&topic_showPostId=sw6oh2pyius7z7qb#flow-post-sw6oh2pyius7z7qb

Trace:

mattflaschen@fluorine:/a/mw-log/archive$ zgrep -A12 2cda5ba5 exception.log-20160111.gz
2016-01-10 15:52:07 mw1132 enwiki exception ERROR: [2cda5ba5] /w/api.php   Flow\Exception\InvalidTopicUuidException from line 161 of /srv/mediawiki/php-1.27.0-wmf.9/extensions/Flow/includes/WorkflowLoaderFactory.php: Undefined is not a valid UUID {"exception_id":"2cda5ba5"} 
[Exception Flow\Exception\InvalidTopicUuidException] (/srv/mediawiki/php-1.27.0-wmf.9/extensions/Flow/includes/WorkflowLoaderFactory.php:161) Undefined is not a valid UUID
  #0 /srv/mediawiki/php-1.27.0-wmf.9/extensions/Flow/includes/WorkflowLoaderFactory.php(142): Flow\WorkflowLoaderFactory::uuidFromTitlePair(integer, string)
  #1 /srv/mediawiki/php-1.27.0-wmf.9/extensions/Flow/includes/WorkflowLoaderFactory.php(75): Flow\WorkflowLoaderFactory::uuidFromTitle(Title)
  #2 /srv/mediawiki/php-1.27.0-wmf.9/extensions/Flow/includes/Api/ApiFlowBase.php(70): Flow\WorkflowLoaderFactory->createWorkflowLoader(Title)
  #3 /srv/mediawiki/php-1.27.0-wmf.9/extensions/Flow/includes/Api/ApiFlowBasePost.php(11): Flow\Api\ApiFlowBase->getLoader()
  #4 /srv/mediawiki/php-1.27.0-wmf.9/extensions/Flow/includes/Api/ApiFlow.php(106): Flow\Api\ApiFlowBasePost->execute()
  #5 /srv/mediawiki/php-1.27.0-wmf.9/includes/api/ApiMain.php(1306): Flow\Api\ApiFlow->execute()
  #6 /srv/mediawiki/php-1.27.0-wmf.9/includes/api/ApiMain.php(460): ApiMain->executeAction()
  #7 /srv/mediawiki/php-1.27.0-wmf.9/includes/api/ApiMain.php(432): ApiMain->executeActionWithErrorHandling()
  #8 /srv/mediawiki/php-1.27.0-wmf.9/api.php(83): ApiMain->execute()
  #9 /srv/mediawiki/w/api.php(3): include(string)
  #10 {main}

Reported (a few posts down) at https://en.wikipedia.org/w/index.php?title=Topic:Stn15z0u230zcbve&topic_showPostId=sw7pdpu97lrffids#flow-post-sw7pdpu97lrffids

Quiddity created this task.Jan 11 2016, 6:25 PM
Quiddity updated the task description. (Show Details)
Quiddity raised the priority of this task from to Needs Triage.
Quiddity added a subscriber: Quiddity.
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptJan 11 2016, 6:25 PM
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald Transcript
Mattflaschen-WMF set Security to None.
Mattflaschen-WMF updated the task description. (Show Details)
matthiasmullie closed this task as Resolved.EditedFeb 15 2016, 2:31 PM
matthiasmullie claimed this task.
matthiasmullie added a subscriber: matthiasmullie.

This looks like a frontend issue where we failed to fetch the UUID value, resulting in passing "undefined" to the API (at least I couldn't figure out how it could be triggered from PHP, and "undefined" sounds like JS)
But I don't think this problem still happens. At that day, I found a few of these exceptions in the exception log. In the past couple of days, nothing...